<?php
require_once __DIR__ . '/../bootstrap/bootstrap.php';
/** @var \Zeedhi\Framework\DependencyInjection\InstanceManager $instanceManager */
/** @var \Service\SignUp $migrationService */
$migrationService = $instanceManager->getService('\Service\SignUp');
/** @var \Controller\SignUp $connection */
$connection = $instanceManager->getService('\Controller\SignUp');
$orgIdentityId = $argv[1];
$isSaaS = $argv[2] == 'Y';
$nameWallet = null;
if(!empty($argv[3])){
    $nameWallet = $argv[3];
}
echo "Starting\n";
echo "adding DB Mongo\n";
$migrationService->createDbMongo($orgIdentityId, true);
echo "adding connection Zmart\n";
$connection->addNewOrgConnection($orgIdentityId, $isSaaS);
$migrationService->createConnectionWallet($orgIdentityId, $isSaaS, $nameWallet);
echo "Done!\n";
