<?php
require "autoloader.php";
require __DIR__ . "/../vendor/autoload.php";
require __DIR__ . "/../vendor/zeedhi/framework/bootstrap.php";

$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();


$instanceManager->loadFromFile('../config/db.xml');
$instanceManager->loadFromFile('../config/general.xml');
$instanceManager->loadFromFile('../config/parameters.xml');
$instanceManager->loadFromFile('../config/environment.xml');

$instanceManager->loadFromFile('../servicesMigration.xml');
$instanceManager->compile();


$entity_manager = $instanceManager->getService('entityManager');